CWTextInternal::ParagraphPLC Struct Reference

## Public Member Functions

| ParagraphPLC ()

## Public Attributes

int | m_rulerId
| the ruler id More...
int | m_styleId
| the style id ( via the style lookup table ) More...
int | m_flags
| some flags More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, ParagraphPLC const &info)

## Constructor & Destructor Documentation

CWTextInternal::ParagraphPLC::ParagraphPLC | ( |  | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | ParagraphPLC const & | info
| ) |  |

friend

## Member Data Documentation

std::string CWTextInternal::ParagraphPLC::m_extra

extra data

int CWTextInternal::ParagraphPLC::m_flags

some flags

Referenced by CWText::readParagraphs().

int CWTextInternal::ParagraphPLC::m_rulerId

the ruler id

Referenced by CWText::findListId(), CWText::readParagraphs(), and CWText::sendText().

int CWTextInternal::ParagraphPLC::m_styleId

the style id ( via the style lookup table )

Referenced by CWText::readParagraphs().

The documentation for this struct was generated from the following file:

- CWText.cxx